aboutsummaryrefslogtreecommitdiff
path: root/rose-mklink
diff options
context:
space:
mode:
authorNunoSempere <nuno.sempere@protonmail.com>2023-03-28 11:19:11 -0600
committerNunoSempere <nuno.sempere@protonmail.com>2023-03-28 11:19:11 -0600
commitbbcf1dabd26bb4e93aa4780d1771c3b449c068ec (patch)
tree375468f139ee1032626969d9965cd18eaaec50e8 /rose-mklink
parentca59138a2aef96960381f986b8c683634e4d8e63 (diff)
Revert "tweak: move things around"
This reverts commit ca59138a2aef96960381f986b8c683634e4d8e63.
Diffstat (limited to 'rose-mklink')
-rwxr-xr-xrose-mklink17
1 files changed, 17 insertions, 0 deletions
diff --git a/rose-mklink b/rose-mklink
new file mode 100755
index 0000000..f016aae
--- /dev/null
+++ b/rose-mklink
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+test "$1" = "--help" || test -z "$1" && {
+ printf "%s\n" "usage: rose-mklink <alias> <url>" \
+ "Create a /usr/bin link to a website."
+ exit
+}
+
+test -z "$2" || {
+ test -f "/usr/bin/$1" && {
+ echo "/usr/bin/$1 already exists, remove it first"
+ exit 1
+ }
+
+ printf "#!/bin/sh\n\nrose %s" "$2" > /usr/bin/$1
+ chmod +x /usr/bin/$1
+}